| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::QxHttpResponse Class Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpResponse : HTTP response (headers + body) More...

`#include <QxHttpResponse.h>`

List of all members.

## Public Member Functions
| QxHttpResponse (QxHttpTransaction *transaction)
virtual | ~QxHttpResponse ()
int & | status ()
QByteArray & | data ()
QByteArray | statusDesc ()
QHash< QByteArray, QByteArray > & | headers ()
QByteArray | header (const QByteArray &key)
QHash< QByteArray, QxHttpCookie > & | cookies ()
QxHttpCookie | cookie (const QByteArray &name)
qx_bool | writeChunked (const QByteArray &data)
bool | isChunked () const
## Private Attributes
std::unique_ptr < QxHttpResponseImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::QxHttpResponse : HTTP response (headers + body)

Definition at line 61 of file QxHttpResponse.h.

## Constructor & Destructor Documentation

qx::QxHttpResponse::QxHttpResponse | ( | QxHttpTransaction * | transaction | ) |

virtual qx::QxHttpResponse::~QxHttpResponse | ( |  | ) | `[virtual]`

## Member Function Documentation

QxHttpCookie qx::QxHttpResponse::cookie | ( | const QByteArray & | name | ) |

QHash<QByteArray, QxHttpCookie>& qx::QxHttpResponse::cookies | ( |  | ) |

QByteArray& qx::QxHttpResponse::data | ( |  | ) |

QByteArray qx::QxHttpResponse::header | ( | const QByteArray & | key | ) |

QHash<QByteArray, QByteArray>& qx::QxHttpResponse::headers | ( |  | ) |

bool qx::QxHttpResponse::isChunked | ( |  | ) | const

int& qx::QxHttpResponse::status | ( |  | ) |

QByteArray qx::QxHttpResponse::statusDesc | ( |  | ) |

qx_bool qx::QxHttpResponse::writeChunked | ( | const QByteArray & | data | ) |

## Member Data Documentation

std::unique_ptr<QxHttpResponseImpl> qx::QxHttpResponse::m_pImpl`[private]`

Private implementation idiom.

Definition at line 66 of file QxHttpResponse.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxHttpServer/QxHttpResponse.h